@media (max-width: 620px) {
  .section__bloghero .section__hero__container {
    padding: 16px 16px 48px;
  }
}
.section__bloghero__inner {
  display: flex;
  flex-direction: column;
  gap: 32px;
}
.section__bloghero__inner > *:not(:last-child) {
  padding-bottom: 32px;
  border-bottom: 1px solid var(--white-20);
}
@media (max-width: 1600px) {
  .section__bloghero__inner {
    gap: 16px;
  }
  .section__bloghero__inner > *:not(:last-child) {
    padding-bottom: 16px;
  }
}
@media (max-width: 992px) {
  .section__bloghero__inner > *:not(:last-child) {
    padding-bottom: 0;
    border-bottom: none;
  }
}
.section__bloghero__inner__title {
  font-size: 80px;
}
@media (max-width: 1600px) {
  .section__bloghero__inner__title {
    font-size: 56px;
  }
}
@media (max-width: 1200px) {
  .section__bloghero__inner__title {
    font-size: 40px;
  }
}
@media (max-width: 768px) {
  .section__bloghero__inner__title {
    font-size: 32px;
  }
}
.section__bloghero__inner__text {
  font-size: 20px;
}
@media (max-width: 1600px) {
  .section__bloghero__inner__text {
    font-size: 16px;
  }
}
.section__bloghero__filter {
  width: 100%;
  background: var(--black-90);
  border-radius: var(--br-24);
  padding: 24px 36px;
  display: grid;
  grid-template-columns: 2fr 1fr;
  gap: 16px;
  align-items: center;
}
.section__bloghero__filter__info {
  display: flex;
  flex-direction: column;
}
.section__bloghero__filter__info__title {
  font-family: var(--font-kharkiv);
  font-size: var(--fs-lg);
  line-height: 120%;
  letter-spacing: -0.08em;
  color: var(--white-100);
}
.section__bloghero__filter__info__title span {
  color: var(--page-color, var(--green-100));
}
.section__bloghero__filter__info__text {
  font-weight: 500;
  font-size: var(--fs-md);
  line-height: 140%;
  color: var(--grey-100);
}
@media (max-width: 992px) {
  .section__bloghero__filter__info {
    align-items: center;
    text-align: center;
  }
}
.section__bloghero__filter__inner {
  max-width: 400px;
  margin-left: auto;
  width: 100%;
  display: grid;
  grid-template-columns: 1fr;
  gap: 24px;
}
@media (max-width: 992px) {
  .section__bloghero__filter__inner {
    max-width: 100%;
    margin-left: 0;
  }
}
.section__bloghero__filter__inner__field__select {
  display: flex;
  justify-content: center;
  cursor: pointer;
  position: relative;
  border: 1px solid var(--grey-100);
  background: var(--black-80);
}
.section__bloghero__filter__inner__field__select__current {
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 100%;
  gap: 16px;
}
.section__bloghero__filter__inner__field__select__current .icon {
  width: 10px;
  height: 10px;
  rotate: 90deg;
  transition: var(--transition-300);
}
.section__bloghero__filter__inner__field__select__items {
  position: absolute;
  top: 100%;
  left: 50%;
  transform: translateX(-50%);
  border: 1px solid var(--grey-100);
  width: calc(100% + 2px);
  background: var(--black-80);
  padding: 6px 20px;
  border-radius: 0 0 8px 8px;
  z-index: 1;
  display: flex;
  flex-direction: column;
  opacity: 0;
  visibility: hidden;
  pointer-events: none;
  transition: var(--transition-300);
}
.section__bloghero__filter__inner__field__select__item {
  padding: 6px 0;
  color: var(--grey-100);
  transition: var(--transition-300);
}
@media (any-hover: hover) {
  .section__bloghero__filter__inner__field__select__item:hover {
    color: var(--white-100);
  }
}
.section__bloghero__filter__inner__field__select.active {
  border-color: var(--grey-100);
  border-radius: 8px 8px 0 0;
}
.section__bloghero__filter__inner__field__select.active .section__bloghero__filter__inner__field__select__current .icon {
  rotate: -90deg;
}
.section__bloghero__filter__inner__field__select.active .section__bloghero__filter__inner__field__select__items {
  opacity: 1;
  visibility: visible;
  pointer-events: auto;
}
@media (max-width: 992px) {
  .section__bloghero__filter__inner {
    grid-template-columns: 1fr;
  }
}
@media (max-width: 992px) {
  .section__bloghero__filter {
    grid-template-columns: 1fr;
  }
}
@media (max-width: 620px) {
  .section__bloghero__filter {
    padding: 24px;
  }
}

.section__bloggrid__body {
  display: flex;
  flex-direction: column;
  gap: 36px;
  align-items: center;
}
.section__bloggrid__inner {
  position: relative;
  width: 100%;
}
.section__bloggrid__list {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  row-gap: 48px;
  -moz-column-gap: 24px;
       column-gap: 24px;
  width: 100%;
  transition: opacity 0.3s ease;
}
.section__bloggrid__list.loading {
  pointer-events: none;
}
@media (max-width: 992px) {
  .section__bloggrid__list {
    grid-template-columns: repeat(2, 1fr);
  }
}
@media (max-width: 620px) {
  .section__bloggrid__list {
    grid-template-columns: 1fr;
    gap: 24px;
  }
}
.section__bloggrid__loader {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 10;
  pointer-events: none;
  background-color: var(--white-20);
  border-radius: var(--br-24);
}
.section__bloggrid__loader__spinner {
  width: 48px;
  height: 48px;
  border: 4px solid var(--black-80);
  border-top: 4px solid var(--page-color, var(--green-100));
  border-radius: 50%;
  animation: spin 1s linear infinite;
}

.blog__card {
  display: flex;
  flex-direction: column;
  position: relative;
}
.blog__card__img__wrapper {
  position: relative;
  aspect-ratio: 16/10;
  max-height: 300px;
  overflow: hidden;
  width: 100%;
  border-radius: 24px;
  border: 1px solid transparent;
  transition: var(--transition-300);
  box-shadow: 0 0 100px 0 var(--serv-colors-green-100-serv-green);
}
.blog__card__img__wrapper img {
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
  display: block;
}
.blog__card__btn {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  pointer-events: none;
  z-index: 2;
  transition: var(--transition-300);
  opacity: 0;
}
.blog__card__btn svg {
  margin: 0 0 0 10px;
}
.blog__card__content {
  padding: 24px 12px 0;
  display: flex;
  flex-direction: column;
  flex-grow: 1;
  flex-wrap: wrap;
  gap: 12px;
}
.blog__card__meta {
  display: flex;
  justify-content: space-between;
  align-items: center;
  font-weight: 500;
  padding-bottom: 16px;
  border-bottom: 1px solid var(--white-20);
  font-weight: 600;
  line-height: 120%;
  font-size: 16px;
}
@media (max-width: 1600px) {
  .blog__card__meta {
    font-size: 14px;
  }
}
.blog__card__category {
  color: var(--green-100);
}
.blog__card__date {
  color: var(--white-30);
}
.blog__card__title {
  font-size: 30px;
  line-height: 120%;
  letter-spacing: -0.03em;
  transition: var(--transition-300);
}
@media (max-width: 1600px) {
  .blog__card__title {
    font-size: 20px;
  }
}
.blog__card__text {
  font-weight: 500;
  font-size: 16px;
  line-height: 140%;
  color: var(--grey-100);
}
@media (any-hover: hover) {
  .blog__card:hover .blog__card__img__wrapper {
    border-color: var(--green-100);
    box-shadow: 0 0 48px 0 var(--green-100);
  }
  .blog__card:hover .blog__card__btn {
    opacity: 1;
  }
  .blog__card:hover .blog__card__title {
    color: var(--green-100);
  }
}

.custom-pagination {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 16px;
  width: 100%;
}
.custom-pagination .pagination-arrows {
  display: flex;
  gap: 4px;
}
@media (max-width: 620px) {
  .custom-pagination .pagination-arrows {
    gap: 0;
  }
}
.custom-pagination .page-arrows {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 50px;
  height: 50px;
  border-radius: 8px;
  border: 1px solid transparent;
  background: var(--black-80);
  color: var(--white-100);
  transition: var(--transition-300);
  cursor: pointer;
}
.custom-pagination .page-arrows .icon {
  width: 10px;
  height: 10px;
  transition: var(--transition-300);
}
.custom-pagination .page-arrows.first .icon, .custom-pagination .page-arrows.prev .icon {
  transform: rotate(180deg);
}
.custom-pagination .page-arrows.disabled {
  border: 1px solid var(--black-80);
  pointer-events: none;
  background: var(--black-100);
  color: var(--grey-50);
}
.custom-pagination .page-arrows.secondary:not(.disabled) {
  background: var(--black-90);
  color: var(--grey-100);
}
@media (any-hover: hover) {
  .custom-pagination .page-arrows:not(.disabled):hover {
    background: var(--green-100);
    border-color: var(--white-100);
    color: var(--black-100);
  }
}
@media (max-width: 620px) {
  .custom-pagination .page-arrows {
    width: 36px;
    height: 48px;
    background: var(--green-100);
    color: var(--black-100);
  }
  .custom-pagination .page-arrows.disabled {
    border: none;
  }
  .custom-pagination .page-arrows.secondary:not(.disabled) {
    color: var(--grey-100);
    background: var(--black-100);
  }
}
.custom-pagination .pagination-numbers {
  display: flex;
  gap: 8px;
  padding: 0 16px;
  position: relative;
}
.custom-pagination .pagination-numbers::after {
  content: "";
  position: absolute;
  top: 50%;
  left: 0;
  width: 1px;
  height: 24px;
  background-color: var(--white-20);
  transform: translateY(-50%);
}
.custom-pagination .pagination-numbers::before {
  content: "";
  position: absolute;
  top: 50%;
  right: 0;
  width: 1px;
  height: 24px;
  background-color: var(--white-20);
  transform: translateY(-50%);
}
@media (max-width: 620px) {
  .custom-pagination .pagination-numbers {
    gap: 4px;
    padding: 0;
  }
  .custom-pagination .pagination-numbers::after, .custom-pagination .pagination-numbers::before {
    content: none;
  }
}
.custom-pagination .page-numbers {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 50px;
  height: 50px;
  border-radius: 8px;
  background: var(--black-80);
  color: var(--white-100);
  font-weight: 600;
  font-size: 16px;
  line-height: 120%;
  text-align: center;
  transition: var(--transition-300);
  border: 1px solid transparent;
  cursor: pointer;
}
.custom-pagination .page-numbers.current, .custom-pagination .page-numbers.active {
  background: var(--black-100);
  border-color: var(--green-100);
  color: var(--green-100);
  pointer-events: none;
}
@media (any-hover: hover) {
  .custom-pagination .page-numbers:not(.current):not(.active):hover {
    border-color: var(--white-100);
    color: var(--black-100);
    background: var(--green-100);
  }
}
@media (max-width: 620px) {
  .custom-pagination {
    gap: 16px;
  }
  .custom-pagination .page-numbers {
    width: 48px;
    height: 48px;
  }
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}